Bug 115767 - net/silc-client 1.1.1 contains a bug which causes connection problems
Summary: net/silc-client 1.1.1 contains a bug which causes connection problems
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-23 21:00 UTC by Jeroen van Nieuwenhuizen
Modified: 2007-09-17 16:30 UTC (History)
0 users

See Also:


Attachments
file.diff (974 bytes, patch)
2007-08-23 21:00 UTC, Jeroen van Nieuwenhuizen
no flags Details | Diff
silc-client-1.1.2.diff (13.30 KB, patch)
2007-09-03 03:18 UTC, Wesley Shields
no flags Details | Diff
silc-irssi-plugin.shar (903 bytes, application/x-shar)
2007-09-03 03:18 UTC, Wesley Shields
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeroen van Nieuwenhuizen 2007-08-23 21:00:07 UTC
silc-client 1.1.1 has a bug which prevents it from completing the connection to a silc server on some platforms. This bug also manifests it self when silc-client 1.1.1 is run on FreeBSD 5.5

Fix: Update port to silc-client 1.1.2

Patch attached with submission follows:
How-To-Repeat: Install silc-client 1.1.1 on FreeBSD 5.5 and try to connect to a silc server.
Comment 1 Edwin Groothuis freebsd_committer 2007-08-23 23:39:36 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Wesley Shields 2007-08-27 16:08:21 UTC
I'm aware of this bug and am working on a patch to update the port and
add a knob to enable the IRSSI plugin.  I should have that ready in a
few days.

-- WXS
Comment 3 Wesley Shields 2007-09-03 03:18:21 UTC
I've got a patch which updates the port and adds the ability to build
the IRSSI plugin.  I've tested this in a tinderbox and it builds
correctly and used it earlier tonight.  In order to build the IRSSI
plugin I've made a port (net/silc-irssi-plugin) which I've also attached
here as a shar.  If for some reason they get stripped by the mail server
they are available at:

http://www.atarininja.org/~wxs/patches/silc-client-1.1.2.diff
http://www.atarininja.org/~wxs/patches/silc-irssi-plugin.shar

The patch updates silc-client and the silc-irssi-plugin is a quick port
which can be used to install only the plugin files.

-- WXS
Comment 4 dfilter service freebsd_committer 2007-09-17 16:21:32 UTC
miwi        2007-09-17 15:21:26 UTC

  FreeBSD ports repository

  Modified files:
    net/silc-client      Makefile distinfo 
  Added files:
    net/silc-client/files extra-patch-apps__irssi__Makefile.in 
  Log:
  - Update to 1.1.2
  
  PR:             115767
  Submitted by:   Wesley Shields <wxs@atarininja.org> (maintainer)
  
  Revision  Changes    Path
  1.49      +17 -5     ports/net/silc-client/Makefile
  1.24      +3 -3      ports/net/silc-client/distinfo
  1.1       +15 -0     ports/net/silc-client/files/extra-patch-apps__irssi__Makefile.in (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Martin Wilke freebsd_committer 2007-09-17 16:24:35 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 6 dfilter service freebsd_committer 2007-09-17 16:24:36 UTC
miwi        2007-09-17 15:24:30 UTC

  FreeBSD ports repository

  Modified files:
    net                  Makefile 
  Added files:
    net/silc-irssi-plugin Makefile pkg-descr pkg-plist 
  Log:
  A plugin for IRSSI which implements the SILC (Secure Internet Live
  Conferencing) protocol.
  
  WWW: http://www.silcnet.org
  
  PR:             ports/115767
  Submitted by:   Wesley Shields <wxs at atarininja.org>
  
  Revision  Changes    Path
  1.1919    +1 -0      ports/net/Makefile
  1.1       +20 -0     ports/net/silc-irssi-plugin/Makefile (new)
  1.1       +4 -0      ports/net/silc-irssi-plugin/pkg-descr (new)
  1.1       +106 -0    ports/net/silc-irssi-plugin/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"